# Filter the Perl extension module
%{?perl_default_filter}

%global pkgname Config-Std

Summary:        Perl module to load and save configuration files in a standard format
Name:           perl-Config-Std
Version:        0.903
Release:        2%{?dist}
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/%{pkgname}/
Source:         http://search.cpan.org/CPAN/authors/id/B/BR/BRICKER/%{pkgname}-%{version}.tar.gz
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  make
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Carp)
BuildRequires:  perl(Class::Std)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(strict)
BuildRequires:  perl(version)
BuildRequires:  perl(warnings)
# Tests only
BuildRequires:  perl(TAP::Harness) >= 3.31
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.14
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
BuildArch:      noarch

%description
A perl module to load and save configuration files in a standard format.
The configuration language is deliberately simple and limited, and the
module works hard to preserve as much information (section order, comments
etc.) as possible when a configuration file is updated.

%prep
%setup -q -n %{pkgname}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Config/
%{_mandir}/man3/*.3pm*

%changelog
* Mon Apr 02 2018 Robert Scheck <robert@fedoraproject.org> 0.903-2
- Changes to match Fedora Packaging Guidelines (#1562632 #c1/#c2)

* Sun Apr 01 2018 Robert Scheck <robert@fedoraproject.org> 0.903-1
- Upgrade to 0.903 (#1562632)
- Initial spec file for Fedora and Red Hat Enterprise Linux
